Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# DatagramGenerator Class Reference

This class defines the abstract interace to any source of datagrams, whether it be from a file or from the net. More...

Inheritance diagram for DatagramGenerator:

List of all members.

## Public Member Functions
bool | getDatagram (Datagram data)
FileReference const | getFile ()
| Returns the FileReference that provides the source for these datagrams, if any, or NULL if the datagrams do not originate from a file on disk.
Filename const | getFilename ()
| Returns the filename that provides the source for these datagrams, if any, or empty string if the datagrams do not originate from a file on disk.
int | getFilePos ()
| Returns the current file position within the data stream, if any, or 0 if the file position is not meaningful or cannot be determined.
VirtualFile | getVfile ()
| Returns the VirtualFile that provides the source for these datagrams, if any, or NULL if the datagrams do not originate from a VirtualFile.
bool | isEof ()
bool | isError ()
bool | saveDatagram (SubfileInfo info)
| Skips over the next datagram without extracting it, but saves the relevant file information in the SubfileInfo object so that its data may be read later.

## Detailed Description

This class defines the abstract interace to any source of datagrams, whether it be from a file or from the net.

## Member Function Documentation

bool getDatagram | ( | Datagram | data | ) |

Reimplemented in DatagramGeneratorNet.

FileReference const getFile | ( |  | ) |

Returns the FileReference that provides the source for these datagrams, if any, or NULL if the datagrams do not originate from a file on disk.

Filename const getFilename | ( |  | ) |

Returns the filename that provides the source for these datagrams, if any, or empty string if the datagrams do not originate from a file on disk.

int getFilePos | ( |  | ) |

Returns the current file position within the data stream, if any, or 0 if the file position is not meaningful or cannot be determined.

For DatagramGenerators that return a meaningful file position, this will be pointing to the first byte following the datagram returned after a call to get_datagram().

VirtualFile getVfile | ( |  | ) |

Returns the VirtualFile that provides the source for these datagrams, if any, or NULL if the datagrams do not originate from a VirtualFile.

bool isEof | ( |  | ) |

Reimplemented in DatagramGeneratorNet.

bool isError | ( |  | ) |

Reimplemented in DatagramGeneratorNet.

bool saveDatagram | ( | SubfileInfo | info | ) |

Skips over the next datagram without extracting it, but saves the relevant file information in the SubfileInfo object so that its data may be read later.

For non-file-based datagram generators, this may mean creating a temporary file and copying the contents of the datagram to disk.

Returns true on success, false on failure or if this method is unimplemented.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties